package ai.pai.lensman.dslr;

public class CameraJNIInterface {


    static {
        System.loadLibrary("hello_jni");
    }

    private static CameraJNIInterface instance;

    private CameraJNIInterface(){

    }

    public static synchronized CameraJNIInterface getInstance(){
        if(instance==null){
            instance = new CameraJNIInterface();
        }
        return instance;
    }

    public native  int  mygpcamerainit();
    public native  int  mygpcameraexit();
    public native  String  mygpcameragetsummary();
    public native  String  mygpcamerawaitforevent(String  foldr_path);
    public native  int  mygpfilenewfromfd(String  file_path);
    public native  int  mygpcamerafileget(String  foldr_path, String file_name);
    public native  int  mygpfilefree();

}
